Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1055079

Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Product: [Fedora] Fedora Reporter: Michael Fratoni <mfratoni1>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/7b60e11b8f234d5bb7ff4160b76f6856e9ec55cc
Whiteboard: abrt_hash:ab440c7024b47cfd58a34c5d4f883f9beed4659e
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-17 18:44:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Michael Fratoni 2014-01-18 16:24:59 UTC
Description of problem:
Unknown. Crash occured immediatly following "yum -y update". The update completed, and the machine crashed.

Additional info:
reporter:       libreport-2.1.11
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffff813096c7>] __rb_erase_color+0x87/0x250
PGD 0 
Oops: 0002 [#1] SMP 
Modules linked in: ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep bluetooth cfg80211 rfkill bridge stp llc snd_hda_codec_realtek snd_hda_intel snd_hda_codec powernow_k8 kvm_amd kvm snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore ppdev serio_raw edac_core k8temp edac_mce_amd sp5100_tco i2c_piix4 r8169 mii shpchp parport_pc parport asus_atk0110 nfsd auth_rpcgss nfs_acl lockd sunrpc radeon ata_generic pata_acpi i2c_algo_bit pata_atiixp drm_kms_helper ttm drm i2c_core [last unloaded: iptable_raw]
CPU: 1 PID: 2432 Comm: yum Not tainted 3.12.7-300.fc20.x86_64 #1
Hardware name: System manufacturer System Product Name/M2A-VM, BIOS ASUS M2A-VM ACPI BIOS Revision 1604 12/19/2007
task: ffff880117d4dac0 ti: ffff8800b55da000 task.ti: ffff8800b55da000
RIP: 0010:[<ffffffff813096c7>]  [<ffffffff813096c7>] __rb_erase_color+0x87/0x250
RSP: 0018:ffff8800b55dbd20  EFLAGS: 00010286
RAX: ffff8800d6cb4b21 RBX: ffff8800364e0080 RCX: 0000000000000226
RDX: 0000000000000000 RSI: ffff8800369eb3b0 RDI: ffff8800d6cb4b20
RBP: ffff8800b55dbd48 R08: ffff8800d6cb4b20 R09: 0000000000000000
R10: ffff8800b85f39b0 R11: ffffea000272dbc0 R12: ffff8800d6cb4b20
R13: ffffffff81165e90 R14: ffff8800369eb3b0 R15: 0000000000000000
FS:  00007effb0d64740(0000) GS:ffff88011fc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 0000000001c0c000 CR4: 00000000000007e0
Stack:
 ffff8800b85f3958 ffff8800b85f3958 ffff8800369eb3c8 ffff8800369eb390
 ffff8800b85f3958 ffff8800b55dbd58 ffffffff81166168 ffff8800b55dbd78
 ffffffff81170bc6 ffff88009b3e5200 ffff8800b85f3958 ffff8800b55dbda8
Call Trace:
 [<ffffffff81166168>] vma_interval_tree_remove+0x188/0x240
 [<ffffffff81170bc6>] __remove_shared_vm_struct+0x46/0x70
 [<ffffffff81171190>] unlink_file_vma+0x40/0x60
 [<ffffffff81168f00>] free_pgtables+0xb0/0x120
 [<ffffffff81173f06>] exit_mmap+0xb6/0x170
 [<ffffffff81066364>] mmput+0x64/0xf0
 [<ffffffff8106b718>] do_exit+0x278/0xa00
 [<ffffffff81077fdb>] ? recalc_sigpending+0x1b/0x50
 [<ffffffff810788d2>] ? __set_task_blocked+0x32/0x70
 [<ffffffff8106bf1f>] do_group_exit+0x3f/0xa0
 [<ffffffff8106bf94>] SyS_exit_group+0x14/0x20
 [<ffffffff81676969>] system_call_fastpath+0x16/0x1b
Code: e2 49 89 c4 49 8b 5c 24 08 48 39 d3 0f 84 e2 00 00 00 f6 03 01 75 ad 4c 8b 7b 10 4c 89 e0 48 83 c8 01 4d 89 7c 24 08 4c 89 63 10 <49> 89 07 49 8b 04 24 48 89 03 48 83 e0 fc 49 89 1c 24 0f 84 69 
RIP  [<ffffffff813096c7>] __rb_erase_color+0x87/0x250
 RSP <ffff8800b55dbd20>
CR2: 0000000000000000

Comment 1 Michael Fratoni 2014-01-18 16:25:04 UTC
Created attachment 852054 [details]
File: dmesg

Comment 2 Justin M. Forbes 2014-02-24 14:02:14 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-03-17 18:44:34 UTC
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.